Skip to main content
`Ctrl`+`K`

# AOPetscToApplication

Maps a set of integers in the PETSc ordering to the application-defined ordering.

## Synopsis

    #include "petscao.h"
    PetscErrorCode AOPetscToApplication(AO ao, PetscInt n, PetscInt ia[])

Collective

## Input Parameters

- ao - the application ordering context

- n - the number of integers

- ia - the integers; these are replaced with their mapped value

## Output Parameter

- ia - the mapped integers

## Note

Any integers in `ia` that are negative are left unchanged. This allows one to convert, for example, neighbor lists that use negative entries to indicate nonexistent neighbors due to boundary conditions, etc.

Integers that are out of range are mapped to -1

## See Also

Application Orderings, `AO`, `AOCreateBasic()`, `AOView()`, `AOApplicationToPetsc()`, `AOPetscToApplicationIS()`

## Level

beginner

## Location

src/vec/is/ao/interface/ao.c

## Implementations

AOPetscToApplication_Basic() in src/vec/is/ao/impls/basic/aobasic.c
AOPetscToApplication_Mapping() in src/vec/is/ao/impls/mapping/aomapping.c
AOPetscToApplication_MemoryScalable() in src/vec/is/ao/impls/memscalable/aomemscalable.c

Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages